makeup|SDK makeup|SDK is a library based on visage|SDK face tracking used to configure and render virtual makeup.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
com.visagetechnologies.makeupsdk.FinishTemplate Class Reference

## Public Member Functions
JSONObject | ToJSON ()

## Static Public Member Functions
static FinishTemplate | FromJSON (JSONObject jsonObject)
static FinishTemplate | FromJSON (String json)

## Public Attributes
String | name
PipeTemplate | pipeline = new PipeTemplate()
double | transparency

## Detailed Description

Stores a definition of makeup finish. Each finish is a named PipeTemplate object which can be reused with any of the features. Contains code for serialization and deserialization of FinishTemplate instances from JSON format. Provides methods for setup of blending and filtering procedures and parameters for finishes.

## Member Function Documentation

## ◆ FromJSON() [1/2]

static FinishTemplate com.visagetechnologies.makeupsdk.FinishTemplate.FromJSON | ( | JSONObject | jsonObject | ) |
| inline static

Deserializes FinishTemplate object from JSON representation

Parameters

  jsonObject | JSON object

Returns
  deserialized FinishTemplate object

## ◆ FromJSON() [2/2]

static FinishTemplate com.visagetechnologies.makeupsdk.FinishTemplate.FromJSON | ( | String | json | ) |
| inline static

Returns FinishTemplate object out of JSON string

Parameters

  json | JSON string

Returns
  deserialized FinishTemplate object

## ◆ ToJSON()

JSONObject com.visagetechnologies.makeupsdk.FinishTemplate.ToJSON | ( |  | ) |
| inline

Returns JSON object out of this FinishTemplate object

Returns
  JSON representation of this FinishTemplate returned as JSON object

## Member Data Documentation

## ◆ name

String com.visagetechnologies.makeupsdk.FinishTemplate.name

Name of the finish.

## ◆ pipeline

PipeTemplate com.visagetechnologies.makeupsdk.FinishTemplate.pipeline = new PipeTemplate()

Rendering steps to use when rendering the finish.

## ◆ transparency

double com.visagetechnologies.makeupsdk.FinishTemplate.transparency

Transparency of the finish.